<script setup lang="ts">
defineProps<{
  tabs: string[];
  activeTab: string;
}>();

const emit = defineEmits(['update:activeTab']);
</script>

<template>
  <div class="flex justify-center">
    <button v-for="tab in tabs" :key="tab" @click="emit('update:activeTab', tab)" class="px-4 py-2 border-b-4 border-sdg-light-blue transition-colors text-lg" :class="tab === activeTab ? 'text-sdg-light-blue' : 'border-transparent text-sdg-gray hover:text-sdg-light-blue'">
      {{ tab }}
    </button>
  </div>
</template>

<style scoped>
button {
  outline: none;
}
</style>
